From 9356adb28dd8d541a67270e202c7bf6f5a67fc82 Mon Sep 17 00:00:00 2001
From: Elliott Hughes <enh@google.com>
Date: Wed, 13 Dec 2017 11:47:08 -0800
Subject: killall should kill scripts too.

Found running LTP file system tests on Android.

Bug: http://b/70627145
---
 tests/killall.test | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 tests/killall.test

(limited to 'tests')

diff --git a/tests/killall.test b/tests/killall.test
new file mode 100644
index 00000000..100ac7ca
--- /dev/null
+++ b/tests/killall.test
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+[ -f testing.sh ] && . testing.sh
+
+#testing "name" "command" "result" "infile" "stdin"
+
+echo "#!/bin/sh
+yes > /dev/null" > toybox.killall.test.script
+chmod a+x toybox.killall.test.script
+
+./toybox.killall.test.script &
+testing "script" "killall toybox.killall.test.script && echo killed ; pgrep -l toybox.killall.test.script || echo really" "killed\nreally\n" "" ""
+
+rm -f toybox.killall.test.script
-- 
cgit v1.2.3